USB_ADD_FUNCTION(9)

NAME
usb_add_function - add a function to a configuration

SYNOPSIS

int usb_add_function(struct usb_configuration * config, struct usb_function * function);

ARGUMENTS

config
    the configuration

function
    the function being added

CONTEXT

single threaded during gadget setup

DESCRIPTION

After initialization, each configuration must have one or more functions added to it. Adding a function involves calling its bind() method to allocate resources such as interface and string identifiers and endpoints.

This function returns the value of the function's bind, which is zero for success else a negative errno value.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT